package com.loit.common.script.dto;

import com.loit.common.utils.excel.annotation.ExcelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@ApiModel(value = "DeployInfoDataDTO", description = "部署信息DTO")
public class BackendDataDTO implements Serializable {

    private static final long serialVersionUID = -6587921299183759035L;

    @ApiModelProperty(value = "固定IP")
    @ExcelField(title = "固定IP", sort = 1)
    private String fixedIp;

    @ApiModelProperty(value = "浮动IP")
    @ExcelField(title = "浮动IP", sort = 2)
    private String floatingIp;

    @ApiModelProperty(value = "部署路径")
    @ExcelField(title = "deployPath", sort = 3)
    private String deployPath;

    @ApiModelProperty(value = "前后端类型")
    @ExcelField(title = "前后端类型", sort = 4)
    private String backendFrontType;

    @ApiModelProperty(value = "模块服务名")
    @ExcelField(title = "模块服务名", sort = 5)
    private String serviceName;

    @ApiModelProperty(value = "端口")
    @ExcelField(title = "端口", sort = 6)
    private String port;

    @ApiModelProperty(value = "部署包名称")
    @ExcelField(title = "部署包名称", sort = 7)
    private String deployJar;


    @ApiModelProperty(value = "前端子系统缩写")
    @ExcelField(title = "前端子系统缩写", sort = 8)
    private String serviceNameAbb;


    @ApiModelProperty(value = "spring.profiles.active")
    @ExcelField(title = "spring.profiles.active", sort = 9)
    private String springProfilesActive;

    private List<Map<String, String>> mapList = new ArrayList<>();

    public String getFixedIp() {
        return fixedIp;
    }

    public void setFixedIp(String fixedIp) {
        this.fixedIp = fixedIp;
    }

    public String getFloatingIp() {
        return floatingIp;
    }

    public void setFloatingIp(String floatingIp) {
        this.floatingIp = floatingIp;
    }

    public String getDeployPath() {
        return deployPath;
    }

    public void setDeployPath(String deployPath) {
        this.deployPath = deployPath;
    }

    public String getBackendFrontType() {
        return backendFrontType;
    }

    public void setBackendFrontType(String backendFrontType) {
        this.backendFrontType = backendFrontType;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDeployJar() {
        return deployJar;
    }

    public void setDeployJar(String deployJar) {
        this.deployJar = deployJar;
    }

    public String getServiceNameAbb() {
        return serviceNameAbb;
    }

    public void setServiceNameAbb(String serviceNameAbb) {
        this.serviceNameAbb = serviceNameAbb;
    }

    public String getSpringProfilesActive() {
        return springProfilesActive;
    }

    public void setSpringProfilesActive(String springProfilesActive) {
        this.springProfilesActive = springProfilesActive;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public List<Map<String, String>> getMapList() {
        return mapList;
    }

    public void setMapList(List<Map<String, String>> mapList) {
        this.mapList = mapList;
    }
}
