package com.loit.common.script.dto;

import com.loit.common.utils.excel.annotation.ExcelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


@ApiModel(value = "DeployInfoDataDTO", description = "部署信息DTO")
public class DeployInfoDataDTO implements Serializable {

    private static final long serialVersionUID = -6587921299183759035L;

    @ApiModelProperty(value = "固定IP")
    @ExcelField(title = "固定IP", sort = 1)
    private String fixedIp;

    @ApiModelProperty(value = "浮动IP")
    @ExcelField(title = "浮动IP", sort = 2)
    private String floatingIp;

    @ApiModelProperty(value = "部署路径")
    @ExcelField(title = "deployPath", sort = 3)
    private String deployPath;

    @ApiModelProperty(value = "前后端类型")
    @ExcelField(title = "前后端类型", sort = 4)
    private String backendFrontType;

    @ApiModelProperty(value = "模块服务名")
    @ExcelField(title = "模块服务名", sort = 5)
    private String serviceName;

    @ApiModelProperty(value = "端口")
    @ExcelField(title = "端口", sort = 6)
    private String port;

    @ApiModelProperty(value = "部署包名称")
    @ExcelField(title = "部署包名称", sort = 7)
    private String deployJar;


    @ApiModelProperty(value = "前端子系统缩写")
    @ExcelField(title = "前端子系统缩写", sort = 8)
    private String serviceNameAbb;


    @ApiModelProperty(value = "spring.profiles.active")
    @ExcelField(title = "spring.profiles.active", sort = 9)
    private String springProfilesActive;


    @ApiModelProperty(value = "前端 nginx 配置文件名称")
    @ExcelField(title = "nginxConfigName", sort = 10)
    private String nginxConfigName;


    @ApiModelProperty(value = "前端分组 灰度、正常")
    @ExcelField(title = "frontGroup", sort = 11)
    private String frontGroup;


    @ApiModelProperty(value = "是否需要生产初始化脚本")
    @ExcelField(title = "needCreateInstanceSql", sort = 12)
    private String needCreateInstanceSql;

    @ApiModelProperty(value = "nacos服务名")
    @ExcelField(title = "nacosServiceName", sort = 13)
    private String nacosServiceName;

    @ApiModelProperty(value = "模块Id")
    @ExcelField(title = "模块ID", sort = 14)
    private String modelId;

    @ApiModelProperty(value = "git地址")
    @ExcelField(title = "git地址", sort = 15)
    private String gitPath;


    @ApiModelProperty(value = "git构建jar路径")
    @ExcelField(title = "git构建jar路径", sort = 16)
    private String gitBuildSub;

    @ApiModelProperty(value = "代码拉取jenkins-job名称")
    @ExcelField(title = "代码拉取jenkins-job名称", sort = 17)
    private String jenkinsJobGit;

    @ApiModelProperty(value = "推送jenkins-job名称")
    @ExcelField(title = "推送jenkins-job名称", sort = 18)
    private String jenkinsJobPush;

    @ApiModelProperty(value = "部署jenkins-job名称")
    @ExcelField(title = "部署jenkins-job名称", sort = 19)
    private String jenkinsJobDeploy;

    @ApiModelProperty(value = "配置中心上后端的配置文件名称")
    @ExcelField(title = "配置中心上后端的配置文件名称", sort = 20)
    private String nacosConfigName;

    public String getFixedIp() {
        return fixedIp;
    }

    public void setFixedIp(String fixedIp) {
        this.fixedIp = fixedIp;
    }

    public String getFloatingIp() {
        return floatingIp;
    }

    public void setFloatingIp(String floatingIp) {
        this.floatingIp = floatingIp;
    }

    public String getDeployPath() {
        return deployPath;
    }

    public void setDeployPath(String deployPath) {
        this.deployPath = deployPath;
    }

    public String getBackendFrontType() {
        return backendFrontType;
    }

    public void setBackendFrontType(String backendFrontType) {
        this.backendFrontType = backendFrontType;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDeployJar() {
        return deployJar;
    }

    public void setDeployJar(String deployJar) {
        this.deployJar = deployJar;
    }

    public String getServiceNameAbb() {
        return serviceNameAbb;
    }

    public void setServiceNameAbb(String serviceNameAbb) {
        this.serviceNameAbb = serviceNameAbb;
    }

    public String getSpringProfilesActive() {
        return springProfilesActive;
    }

    public void setSpringProfilesActive(String springProfilesActive) {
        this.springProfilesActive = springProfilesActive;
    }

    public String getNginxConfigName() {
        return nginxConfigName;
    }

    public void setNginxConfigName(String nginxConfigName) {
        this.nginxConfigName = nginxConfigName;
    }

    public String getFrontGroup() {
        return frontGroup;
    }

    public void setFrontGroup(String frontGroup) {
        this.frontGroup = frontGroup;
    }

    public String getNeedCreateInstanceSql() {
        return needCreateInstanceSql;
    }

    public void setNeedCreateInstanceSql(String needCreateInstanceSql) {
        this.needCreateInstanceSql = needCreateInstanceSql;
    }

    public String getNacosServiceName() {
        return nacosServiceName;
    }

    public void setNacosServiceName(String nacosServiceName) {
        this.nacosServiceName = nacosServiceName;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getGitPath() {
        return gitPath;
    }

    public void setGitPath(String gitPath) {
        this.gitPath = gitPath;
    }

    public String getGitBuildSub() {
        return gitBuildSub;
    }

    public void setGitBuildSub(String gitBuildSub) {
        this.gitBuildSub = gitBuildSub;
    }

    public String getJenkinsJobGit() {
        return jenkinsJobGit;
    }

    public void setJenkinsJobGit(String jenkinsJobGit) {
        this.jenkinsJobGit = jenkinsJobGit;
    }

    public String getJenkinsJobPush() {
        return jenkinsJobPush;
    }

    public void setJenkinsJobPush(String jenkinsJobPush) {
        this.jenkinsJobPush = jenkinsJobPush;
    }

    public String getJenkinsJobDeploy() {
        return jenkinsJobDeploy;
    }

    public void setJenkinsJobDeploy(String jenkinsJobDeploy) {
        this.jenkinsJobDeploy = jenkinsJobDeploy;
    }

    public String getNacosConfigName() {
        return nacosConfigName;
    }

    public void setNacosConfigName(String nacosConfigName) {
        this.nacosConfigName = nacosConfigName;
    }
}
