package com.loit.component.keygen.plugin;

import java.lang.annotation.*;

/**
 * @Description: 主键注解
 * 支持两种主键：leafSegment 和 leafSnowflake
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface AutoId {

    /**
     * @return id类型（默认为雪花id）
     */
    IdType value() default IdType.LEAF_SNOWFLAKE;

    /**
     * id类型
     */
    enum IdType {
        /**
         * 雪花id
         */
        LEAF_SNOWFLAKE,

        LEAF_SEGMENT
    }

}
