package com.loit.component.keygen.leaf.core.reg;

import com.google.common.base.Preconditions;
import com.loit.component.keygen.leaf.core.NewInstanceServiceLoader;
import com.loit.component.keygen.leaf.core.spi.TypeBasedSPIServiceLoader;


/**
 * Registry center loader from SPI.
 */
public final class RegistryCenterServiceLoader extends TypeBasedSPIServiceLoader<RegistryCenter> {

    static {
        NewInstanceServiceLoader.register(RegistryCenter.class);
    }

    public RegistryCenterServiceLoader() {
        super(RegistryCenter.class);
    }

    /**
     * Load registry center from SPI.
     *
     * @param regCenterConfig registry center configuration
     * @return registry center
     */
    public RegistryCenter load(final RegistryCenterConfiguration regCenterConfig) {
        Preconditions.checkNotNull(regCenterConfig, "Registry center configuration cannot be null.");
        RegistryCenter result = newService(regCenterConfig.getType(), regCenterConfig.getProperties());
        result.init(regCenterConfig);
        return result;
    }
}
