package com.loit.component.keygen.leaf.core.spi;

import java.util.Properties;

/**
 * Base algorithm SPI.
 */
public interface TypeBasedSPI {

    /**
     * Get algorithm type.
     *
     * @return type
     */
    String getType();

    /**
     * Get properties.
     *
     * @return properties of algorithm
     */
    Properties getProperties();

    /**
     * Set properties.
     *
     * @param properties properties of algorithm
     */
    void setProperties(Properties properties);
}
