package com.loit.component.keygen.leaf;


import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import java.util.Properties;

@FixMethodOrder(value = MethodSorters.NAME_ASCENDING)
public class LeafSegmentKeyGeneratorFactoryTest {

    LeafSegmentKeyGeneratorFactory leafSegmentKeyGeneratorFactory = new LeafSegmentKeyGeneratorFactory();


    @Test
    public void assertGenerateKeyWithSingleThread() {
        Properties properties = new Properties();
        properties.setProperty("leaf.namespace", "leaf-segment-loit-test");
        properties.setProperty("server.list", "127.0.0.1:2181");
        properties.setProperty("leaf.segment.id.initial.value", "3");
        properties.setProperty("leaf.segment.step", "100");
        leafSegmentKeyGeneratorFactory.setGlobleProperties(properties);

        for (int i = 0; i < 20; i++) {
            for (int j = 0; j < 50; j++) {
                Comparable<?> t_order_item = leafSegmentKeyGeneratorFactory.getKeyGenerator("t_order_item" + i).generateKey();
                System.out.println("t_order_item" + i + ": " + t_order_item);
            }
        }

    }
}
